using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GDBGCurrentCellEditEvent
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable myDataTable = new DataTable("MyDataTable");
            DataColumn myDataColumn;
            DataRow myDataRow;
            myDataColumn = new DataColumn();
            myDataColumn.DataType = System.Type.GetType("System.Int32");
            myDataColumn.ColumnName = "id";
            myDataTable.Columns.Add(myDataColumn);
            myDataColumn = new DataColumn();
            myDataColumn.DataType = Type.GetType("System.String");
            myDataColumn.ColumnName = "item";
            myDataTable.Columns.Add(myDataColumn);
            myDataColumn = new DataColumn();
            myDataColumn.DataType = Type.GetType("System.Boolean");
            myDataColumn.ColumnName = "CheckBox";
            myDataTable.Columns.Add(myDataColumn);
            for (int i = 0; i <= 10; i++)
            {
                myDataRow = myDataTable.NewRow();
                myDataRow["id"] = i;
                myDataRow["item"] = "item " + i.ToString();
                myDataTable.Rows.Add(myDataRow);
            }
            DataView dv = new DataView();
            dv = myDataTable.DefaultView;
            this.gridDataBoundGrid1.DataSource = dv;
            this.gridDataBoundGrid2.DataSource = dv;
        }

        private void gridDataBoundGrid1_CurrentCellChanging(object sender, CancelEventArgs e)
        {
            this.gridDataBoundGrid1.CurrentCell.ConfirmChanges(true);
            this.gridDataBoundGrid1.Binder.EndEdit();
        }
    }
}