using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GDBGCurrentCellEditEvent
{
    public partial class Form1 : Form
    {
		DataTable myDataTable = null;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            myDataTable = new DataTable("MyDataTable");
            DataColumn myDataColumn;
            DataRow myDataRow;
            myDataColumn = new DataColumn();
            myDataColumn.DataType = System.Type.GetType("System.Int32");
            myDataColumn.ColumnName = "id";
            myDataTable.Columns.Add(myDataColumn);
            myDataColumn = new DataColumn();
            myDataColumn.DataType = Type.GetType("System.String");
            myDataColumn.ColumnName = "item";
            myDataTable.Columns.Add(myDataColumn);
            myDataColumn = new DataColumn();
            myDataColumn.DataType = Type.GetType("System.String");
            myDataColumn.ColumnName = "checked";
            myDataTable.Columns.Add(myDataColumn);
            for (int i = 0; i <= 10; i++)
            {
                myDataRow = myDataTable.NewRow();
                myDataRow["id"] = i;
                myDataRow["item"] = "item " + i.ToString();
				myDataRow["checked"] = "N";
                myDataTable.Rows.Add(myDataRow);
            }
            DataView dv = new DataView();
            dv = myDataTable.DefaultView;
            this.gridDataBoundGrid1.DataSource = dv;
        }

        private void gridDataBoundGrid1_CurrentCellChanging(object sender, CancelEventArgs e)
        {
            this.gridDataBoundGrid1.CurrentCell.ConfirmChanges(true);
            this.gridDataBoundGrid1.Binder.EndEdit();
        }

		private void gridDataBoundGrid1_Leave(object sender, EventArgs e)
		{
			string selected = string.Empty;

			DataView dv = new DataView(this.myDataTable);
			dv.RowFilter = "checked = 'Y'";
			foreach (DataRowView drv in dv)
			{
				if (selected.Length > 0)
					selected += ",";
				selected += drv["item"].ToString();
			}
			this.lblSelected.Text = selected;
		}
    }
}